Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile.taglib
Class GetPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
              com.bea.p13n.usermgmt.profile.taglib.PropertyTag
                  com.bea.p13n.usermgmt.profile.taglib.GetPropertyTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

Direct Known Subclasses:
  GetPropertyAsStringTag

public class GetPropertyTag
extends PropertyTag

Corresponds to `<profile:getProperty>`.

The `<profile:getProperty>` tag retrieves the property value for a specified property set-property name pair. The tag has no enclosed body. The value returned is a `java.lang.Object`. In typical cases, this tag is used after the ``<profile:getProfile>`` tag is invoked to retrieve a profile for session use. The property to be retrieved is retrieved from the session profile. If the ``<profile:getProfile>`` tag has not been used upon invoking the `<profile:getProperty>` tag, the specified property value is retrieved from the Anonymous User Profile. See the User Management documentation for more information.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set from which the property's value is to be retrieved. Example: "Demo Portal" Note: If no property set is provided, the property is retrieved from the profile's default (unscoped) properties.
propertyName | yes | String | The name of the property to be retrieved. Example: "background_color"
id | no | String | If the `id` attribute is supplied, the value of the retrieved property will be available in the variable name to which id is assigned. Otherwise, the value of the property is inlined into the JSP page.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
`CREATE_PROFILE_FAILED, CREATE_PROFILE_NO_SUCH_USER, CREATE_PROFILE_OK, GET_PROFILE_FAILED, GET_PROFILE_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, SET_PROPERTY_FAILED, SET_PROPERTY_OK`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetPropertyTag()`

Method Summary
`int` | `doStartTag()` Retrieves the property and sets it in the page scope, or prints it out if no 'id' attribute was set.
`protected Object` | `getProperty()` Retrieve the property value from the current profile

Methods inherited from class com.bea.p13n.usermgmt.profile.taglib.PropertyTag
`getPropertyName, getPropertySet, release, setPropertyName, setPropertySet`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertyTag

    public GetPropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Retrieves the property and sets it in the page scope, or prints it out if no 'id' attribute was set.

  Throws:
    `JspException`

### getProperty

    protected Object getProperty()
                          throws JspException

  Retrieve the property value from the current profile

  Throws:
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved